Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: fltk on ubuntu

  1. #1
    Join Date
    Nov 2004
    Beans
    11

    fltk on ubuntu

    Hi,
    I ve just install the ubuntu last release,
    on my sarge debian, i can install without problem ( from the source) the fltk ( graphical interface for C++) it needs dev and lib X11, open gl. On sarge it was enough to install libx11-dev and opengl, ;;; to compile the fltk from the source.
    but not on ubuntu , the configure doesn't find anywhere libx11 ( I installed a lot of other libraries libxft, ..., ) while it exist.

    always it gives:

    checking for X... no
    configure: error: Configure could not find required X11 libraries
    ./configure: line 8268: exit: aborting.: numeric argument required
    ./configure: line 8268: exit: aborting.: numeric argument required
    root@belaOffice:/usr/local/fltk-1.1.6#


    the fltk ( .deb ) is installed normally but not from the source.
    has anyone an idea.
    thanks for answer
    bela

  2. #2
    Join Date
    Oct 2006
    Beans
    2

    Re: fltk on ubuntu

    I am having a same problem as well and dont know how to solve it.

    I am using ubuntu 6.06 GNOME currently.
    I think, I've got everything required to installed the fltk 1.1.6. or fltk 1.1.7
    like:
    gcc 3.4.6 (stable)
    libxft1 6.8.2-1
    libx11-6
    libx11-dev
    fluid 1.1.7-1
    libfltk1.1
    libfltk1.1-dev

    but I still can't install this fltk
    maybe problem with my CC
    I don't really know how to Set the CC vble

    I typed this "$export CC=gcc" on my terminal (without " ) it show error
    command not found even when I put sudo before $ sign.

    no clue at all

    can any senior or expert help this newby?
    thx

  3. #3
    Join Date
    Sep 2006
    Beans
    Hidden!

    Re: fltk on ubuntu

    EsD,

    Try installing the xorg-dev meta-package. The list of packages it installs is on that page.

  4. #4
    Join Date
    Oct 2006
    Beans
    2

    Re: fltk on ubuntu

    cool... it works
    thanks alot po0f
    I just need to go to synaptic package manager and type xorg-dev on search then apply them.

    I used fltk 1.1.6 that I got from this following site
    http://www.fltk.org/software.php?VER...source.tar.bz2

    type : tar -xjvf fltk-1.1.6-source.tar.bz2 to extract them

    then cd fltk-1.1.6/
    after that type sudo ./configure
    then make
    then sudo make install

    after the installation successful
    type fluid & to run the program

    hope this information help other newby like me


    thanks again po0f

  5. #5
    Join Date
    Sep 2006
    Beans
    4
    Distro
    Ubuntu 7.10 Gutsy Gibbon

    Re: fltk on ubuntu

    I'm trying to install fltk-1.1.7 on drake. The config command goes through okay, (I'd seen the above messages and fixed that problem). But when I type "sudo make install" I get an error that says:

    rm: cannot remove '/usr/local/bin/fltk-config': is a directory
    make: *** [install] Error 1

    Any help would be appreciated, if anyone is still paying attention to this thread, that is.

  6. #6
    Join Date
    Sep 2006
    Beans
    Hidden!

    Re: fltk on ubuntu

    Ravenna,

    Dapper's FLTK is already 1.1.7. Any special reason you are compiling it?

    As for your original problem, try deleting the directory it's complaining about, and re-running `sudo make install`:
    Code:
    $ sudo rm -rf /usr/local/bin/fltk-config
    $ sudo make install
    If you run into the same error, post the "install" rule from the Makefile, if you would.

  7. #7
    Join Date
    Dec 2009
    Location
    College Station
    Beans
    22
    Distro
    Ubuntu

    Re: fltk on ubuntu

    po0f,

    Thank you so much! After installing xorg-dev...everything installed pretty smoothly.

    Kind Regards,

    -sf

  8. #8
    Join Date
    Mar 2008
    Beans
    88

    Re: fltk on ubuntu

    I'm using fltk from the Ubuntu repository but FLUID wont work:
    Could not launch 'FLUID'
    Failed to execute child process "cd" (No such file or directory)


    (64 bit 10.04)

  9. #9
    Join Date
    Mar 2009
    Location
    Buenos Aires, AR
    Beans
    2,325
    Distro
    Ubuntu

    Re: fltk on ubuntu

    Too bad that program dont generate Python code

  10. #10
    Join Date
    Mar 2008
    Beans
    88

    Re: fltk on ubuntu

    SOLVED: Could not launch 'FLUID'
    Failed to execute child process "cd" (No such file or directory)
    I got this on 32 bit kubuntu 32 and 64 bit ubuntu!

    It seems the menu item the package install is bad
    I checked in synaptic and it should point to /usr/bin/fluid

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •